Create Transaction (BYOP)

Use the /createTransaction endpoint to manually create a transaction for a BYOP (Bring Your Own Processor) account. This endpoint allows you to directly insert transaction records into the system.

Note: This endpoint is only available for accounts using the BYOP vendor type. Attempts to use this endpoint with non-BYOP accounts will result in an error.

Body Params

POST /v1/transaction/createTransaction Request body

string
required

Pass in the Spidr account ID

string
required

Pass in the card's unique ID.

string
required
length between 1 and 100

Unique transaction identifier/key

string
enum
required

The type of transaction. See Transaction and Activity Types for more info.

double
required
-10000000 to 10000000

Transaction amount (positive or negative)

string
enum
required

Transaction status

Allowed:
string
required
length between 1 and 255

Transaction description

string
length ≤ 100

The subtype of the transaction, providing more specific classification

Posted date in ISO format

required

Authorization date in ISO format

string
required

Merchant Category Code

string
length ≤ 50

Denial code if transaction was declined

transactionDetails
object

Additional transaction details as key-value pairs

string
length ≤ 50

Activity type

string
enum
required

Transaction entry mode (e.g., chip, swipe, manual)

string
required

Merchant identification number

string
required

Name of the merchant

currency
object

Currency information

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json